Subject: Re: CCL:INCREASING CPU UTILIZATION WITH NT4

From: Taisung Lee <[email-masked]>
Date: Tue, 4 Nov 1997 21:08:28 -0500 (EST)

Hi,

   It seems that the computational software (HyperChem) you are using
is not parallelized/multithread.  NT 4.0 can accept a multithread
program but it can not do multithread for a singlethread process.  That
means if you have a singlethread program then the maximum CPU time you
can use for this program is 50% in a dual CPU machine.  You can run 
two copies of same programs then you will get 100%.  The other 
solution is to find a multithread computational program--I believe it 
is hard, because that means a parallelized program.

   The reason you see 54%, not 50% is that another CPU is doing other 
work for you.--You still get some benefit from dual-CPU :)

Taisung

> HI,
> 
> 
> I HAVE A DUAL PENTIUM 133MHZ WITH NT4 WORKSTATION RUNNING VERY CPU
> INTENSIVE CALCULATIONS (AB INITIO IN HYPERCHEM 5.02) FROM DAYS TO WEEKS
> IN DURATION.
> 
> 196 MB RAM
> 
> 5GB VIRTUAL MEMORY (ALL SCSI HD'S WITH A SUSTAINED DATA TRANSFER RATE OF
> 10MB/S.)
> 
> (The machine could be upgraded to dual 200MMX.)
> 
> HOWEVER TASK MANAGER SHOWS CPU UTILIZATION AT A CONSTANT 54%.
> 
> ONLY WHEN I USE OTHER ADDITIONAL SOFTWARE DOES THE CPU UTILIZATION GO
> ABOVE 54% AND UP TO 100%.
> 
> 
> <bold>HOW DO I OBTAIN HIGHER (100% ?) CPU UTILIZATION WITH ONLY THE
> COMPUTATIONAL SOFTWARE RUNNING?
> 
> </bold>
> 
> THANKS IN ADVANCED.
> 
> 
> Laurence Lavelle, Ph.D.
> University of California Los Angeles
> Molecular Biology Institute, and Department of Chemistry & Biochemistry 
> Laboratory of Structural Biology & Molecular Medicine
> Los Angeles, CA 90095-1570, USA
> Email:[email-masked]
> Phone (Lab): (310) 206-8270
> Phone (Office): (310) 825-2083
> Fax: (310) 267-1957
> http://www.doe-mbi.ucla.edu/people/lavelle/lavelle.html